最新消息:欢迎加入小松的QQ群一起讨论一起学习,搜索页面修改成lua+ElasticSearch,使用php这个页面速度相对慢一点,优化之后速度杠杠的,如有问题请加群联系我

yum 出现错误File “/usr/bin/yum”, line 30

Linux 267浏览 0评论

今天用yum在安装ansible的时候,提示有错误

"/usr/bin/yum", line 30

百度一下原因
这是因为yum采用python作为命令解释器,这可以从/usr/bin/yum文件中第一行

#!/usr/bin/python

发现。而python版本之间兼容性不太好,使得2.X版本与3.0版本之间存在语法不一致问题。
而CentOS 5自带的yum采用的是python2.6,当系统将python升级到3.0后,出现语法解释错误,最主要是之前我升级了python

2种解决方法
第一种
修改yum的解释器为旧版本python2.6

vi /usr/bin/yum

#!/usr/bin/python
修改成
#!/usr/bin/python2

之前我没有把python2.6的版本删除,所以可以这么操作

第二种升级yum

QQ交流群:136351212(满) 455721967

如无特别说明,本站文章皆为原创,若要转载,务必请注明以下原文信息:
转载保留版权:小松博客» yum 出现错误File “/usr/bin/yum”, line 30
本文链接地址:https://www.phpsong.com/2612.html

发表我的评论
取消评论
表情

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址
木有头像就木有JJ!点这里按步骤申请Gravatar头像吧!